RELEASE_BUILD	= true

ifeq ($(RELEASE_BUILD), true)
CXXFLAGS += -O3 -DUSE_64BIT_IDS -DNDEBUG -ftree-vectorize	\
-ftree-slp-vectorize -march=native -mtune=native
else
CXXFLAGS += -O0 -g -Wall -Wextra
endif

# OpenMP flags
CXXFLAGS += -fopenmp
LDFLAGS += -fopenmp

# link to libpng
LDLIBS += -lpng

# Benchmark flag
CXXFLAGS += -DBENCH

# Required for uint8_t
CXXFLAGS += -std=c++11

.PHONY: common-clean
common-clean:
	$(RM) *~ \#*\#
