/*
 * Copyright 2017, Theodore Chabardes
 * <theodore.chabardes@mines-paristech.fr>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 */

#include "test_class.hpp"

int main(void) {

  // clang-format off
  unsigned char a[156] = {
   2,   2,   2,   2,   1,   2,   2,   1,   2,   2,   1,   2,   2,
   2,   2,   2,   2,   1,   2,   2,   1,   2,   2,   1,   2,   2,
   2,   1,   1,   1,   1,   1,   1,   1,   1,   1,   1,   3,  30,
   2,   2,   1,   1,   1,   2,   1,   1,   1,   1,   2,   6,  35,
   2,   2,   1,   1,   8,   9,   9,   3,   6,   6,   5,  11,  34,
   3,   3,   3,   3,   9,   9,   9,   6,  22,  28,  27,  30,  33,
   3,   3,   3,   5,   9,   9,   9,  10,  21,  33,  31,  31,  29,
   2,   2,   3,   5,   6,   5,  26,  32,  32,  30,  20,  11,  10,
   3,   3,   3,   5,  10,  11,  26,  33,  33,  27,  22,   5,   5,
   2,   2,   2,   9,  11,  20,  26,  35,  13,   6,   6,   5,   5,
   3,   4,   5,  14,  22,  36,  29,  27,  15,   6,   3,   3,   3,
   2,   4,   5,  14,  22,  31,  28,  18,  15,   4,   2,   2,   2
  };

  unsigned char b[156] = {
    1,    1,    1,    1,    1,    1,    1,    1,    1,    1,    1,    1,    1,
    1,    1,    1,    1,    1,    1,    1,    1,    1,    1,    1,    0,    0,
    1,    1,    1,    1,    1,    1,    1,    1,    1,    1,    0,    0,    0,
    1,    1,    1,    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    1,    1,    1,    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    1,    1,    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    1,    1,    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    1,    1,    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    1,    1,    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    1,    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    1,    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    1,    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,    0
  };

  unsigned char c[156] = {
    1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1,
    1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1,
    1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1,
    1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1,
    1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1,
    1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1,
    1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1,
    1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1,
    1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1,
    1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1,
    1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1,
    1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1
  };
  // clang-format on

  test_class t(a, b, c, 13, 12, SE_CROSS);

  RUN_AND_RET;
}
