/*
 * Copyright 2017, Theodore Chabardes
 * <theodore.chabardes@mines-paristech.fr>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 */

#include "test_class.hpp"

int main(void) {

  // clang-format off
  unsigned char a[180] = {
   1,   1,   1,   2,   3,   5,  16,  18,  12,   8,
   1,   2,   2,   3,   4,   6,  16,  18,  12,   9,
   1,   1,   2,   3,   5,   6,  13,  18,  12,  10,
   2,   2,   3,   3,   4,   6,  11,  16,  11,  10,
   1,   1,   2,   3,   4,   5,  10,  15,  12,  10,
   2,   2,   2,   3,   4,   5,  10,  13,  12,  10,
   1,   2,   2,   3,   4,   5,   9,  13,  12,  10,
   2,   2,   2,   3,   4,   4,   8,  12,  12,  11,
   1,   2,   2,   2,   4,   4,   8,  12,  12,  12,
   1,   1,   1,   2,   3,   3,   8,  10,  13,  13,
   1,   2,   2,   2,   3,   4,   8,  10,  14,  14,
   2,   2,   1,   2,   3,   4,   6,   9,  13,  14,
   1,   1,   2,   2,   3,   3,   4,   7,  13,  13,
   1,   1,   1,   2,   3,   3,   5,   7,  13,  13,
   1,   1,   1,   2,   2,   3,   5,   7,  13,  13,
   1,   1,   1,   1,   2,   3,   5,   7,  13,  13,
   0,   1,   1,   1,   2,   3,   3,   6,  13,  13,
   0,   1,   1,   1,   2,   3,   3,   6,  13,  13
  };

  unsigned char b[180] = {
     1, 1, 1, 1, 1, 1, 1,WS, 2, 2,
     1, 1, 1, 1, 1, 1, 1,WS, 2, 2,
     1, 1, 1, 1,WS, 1,WS, 2, 2, 2,
    WS,WS,WS,WS, 3, 3, 3,WS, 2, 2,
     3, 3, 3, 3, 3, 3, 3,WS, 2, 2,
    WS, 3, 3, 3, 3, 3,WS, 2, 2, 2,
     4, 4, 4, 4, 4,WS, 5,WS, 2, 2,
    WS,WS, 5, 5, 5, 5, 5, 5, 2, 2,
     5, 5, 5, 5, 5, 5, 5, 5,WS, 2,
     5, 5, 5, 5, 5, 5, 5, 5, 5, 2,
     5, 5,WS,WS, 5, 5,WS, 7,WS, 2,
    WS,WS, 6, 6, 6,WS, 7, 7, 7, 7,
     7, 7,WS,WS,WS, 7, 7, 7, 7, 7,
     7, 7, 7, 7, 7, 7, 7, 7, 7, 7,
     7, 7, 7, 7, 7, 7, 7, 7, 7, 7,
     7, 7, 7, 7, 7, 7, 7, 7, 7, 7,
     7, 7, 7, 7, 7, 7, 7, 7, 7, 7,
     7, 7, 7, 7, 7, 7, 7, 7, 7, 7
  };
  // clang-format on

  test_class t(a, b, 10, 18, SE_CROSS);

  RUN_AND_RET;
}
