/*
 * Copyright 2017, Theodore Chabardes
 * <theodore.chabardes@mines-paristech.fr>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 */

#include "test_class.hpp"

int main(void) {

  // clang-format off
  unsigned char a[84] = {
    98 , 98 , 97 , 152, 210, 209, 181,
    99 , 99 , 99 , 199, 206, 199, 170,
    98 , 98 , 144, 210, 210, 186, 170,
    97 , 97 , 157, 207, 206, 191, 161,
    98 , 102, 162, 207, 207, 184, 167,
    98 , 113, 206, 207, 206, 187, 177,
    97 , 144, 209, 208, 204, 193, 150,
    98 , 169, 209, 206, 198, 185, 168,
    98 , 172, 209, 208, 184, 179, 173,
    105, 201, 206, 203, 191, 188, 156,
    127, 208, 208, 204, 196, 165, 165,
    139, 209, 209, 208, 187, 164, 164
  };

  unsigned char b[84] = {
    1, 1, 1, 1,WS, 3, 3,
   WS,WS, 1, 1,WS, 3, 3,
    2, 2,WS, 1, 3, 3, 3,
    2, 2, 2,WS, 3, 3, 3,
    2, 2, 2, 2, 3, 3, 3,
    4,WS, 2, 2,WS, 3,WS,
    4, 4,WS,WS, 5,WS, 5,
    4, 4,WS, 5, 5, 5, 5,
    4, 4,WS, 5, 5, 5,WS,
    4, 4,WS, 5, 5,WS, 6,
    4, 4, 5, 5,WS, 7,WS,
    4, 4, 5,WS, 7, 7, 7,
  };
  // clang-format on

  test_class t(a, b, 7, 12, SE_CROSS);

  RUN_AND_RET;
}
