/*
 * Copyright 2017, Theodore Chabardes
 * <theodore.chabardes@mines-paristech.fr>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 */

#include "test_class.hpp"

int main(void) {

  // clang-format off
  unsigned char a[64] = {
    61,  61,  67,  82,  79,  69,  66,  61,
    80,  84,  89,  75,  46,  45,  42,  39,
   120,  98,  45,  41,  44,  46,  39,  38,
   115,  54,  50,  51,  66,  55,  50,  52, 
    94,  44,  61,  65,  69,  69,  45,  36,
    72,  69,  85,  85,  85,  72,  34,  33,
    71,  88,  95,  70,  49,  40,  32,  34,
   101,  90,  84,  53,  44,  49,  33,  35
  };

  unsigned char b[64] = {
    1, 1, 1,WS, 3, 3, 3, 3,
    1, 1,WS, 2,WS, 3, 3, 3,
   WS,WS, 2, 2, 2,WS, 3, 3,
    4,WS, 2, 2, 2, 2,WS,WS,
    4, 4,WS, 2, 2,WS, 5, 5,
   WS, 4, 4,WS,WS, 7,WS, 5,
    6,WS,WS, 8,WS, 7, 7,WS,
   WS, 8, 8, 8, 8,WS, 7, 7,
  };
  // clang-format on

  test_class t(a, b, 8, 8, SE_CROSS);

  RUN_AND_RET;
}
