/*
 * Copyright 2017, Theodore Chabardes
 * <theodore.chabardes@mines-paristech.fr>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 */

#include "test_class.hpp"

int main(void) {

  // clang-format off
  unsigned char a[100] = {
  99,  99,  98,  98, 152, 204, 203, 191, 152, 101,
  99,  99,  97,  99, 190, 206, 201, 181, 149, 100,
  98,  98,  96, 130, 208, 208, 206, 157, 133, 102,
  98,  98,  97, 152, 210, 209, 181, 146, 142,  99,
  99,  99,  99, 199, 206, 199, 170, 164, 128, 104,
  98,  98, 144, 210, 210, 186, 170, 162, 148, 115,
  97,  97, 157, 207, 206, 191, 161, 159, 156, 107,
  98, 102, 162, 207, 207, 184, 167, 162, 120, 100,
  98, 113, 206, 207, 206, 187, 177, 139, 123,  97,
  97, 144, 209, 208, 204, 193, 150, 144, 131,  95
  };

  unsigned char b[100] = {
    2, 2, 2, 2, 2,WS, 3,WS, 1, 1,
    2, 2, 2, 2, 2,WS, 3, 3,WS, 1,
    2, 2, 2, 2, 2, 3, 3, 3, 3,WS,
    2, 2, 2, 2,WS, 3, 3, 3, 3, 3,
   WS,WS, 2, 2, 2,WS, 3, 3, 3, 3,
    4, 4,WS, 2,WS, 6,WS, 3, 3,WS,
    4, 4, 4,WS, 6, 6, 6,WS,WS, 6,
    4, 4, 4, 4, 6, 6, 6, 6, 6, 6,
    5,WS, 4,WS, 6, 6, 6, 6, 6, 6,
    5, 5,WS, 6, 6, 6, 6, 6, 6, 6
  };
  // clang-format on

  test_class t(a, b, 10, 10, SE_CROSS);

  RUN_AND_RET;
}
