/*
 * Copyright 2017, Theodore Chabardes
 * <theodore.chabardes@mines-paristech.fr>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 */

#include "test_class.hpp"

int main(void) {

  // clang-format off
  unsigned char a[64] = {
   5,   5,   3,   7,  12,  31,  31,  24,
   5,   5,   5,  10,  18,  28,  29,  21,
   4,   5,   5,  25,  24,  35,  29,  10,
   4,   7,   7,  23,  42,  34,  26,  13,
   7,  10,  25,  33,  42,  24,  26,   8,
  11,  14,  23,  37,  41,  27,   7,   7,
  23,  22,  22,  37,  26,  12,   7,   7,
  20,  20,  29,  36,  26,   7,   4,   3
  };

  unsigned char b[64] = {
    WS, 1, 1, 1, 1, 1, 3, 3,
     2,WS, 1, 1, 1, 1,WS, 3,
     2, 2,WS,WS, 1,WS, 3, 3,
     2, 2, 2, 2,WS,WS, 3,WS,
     2, 2, 2, 2,WS, 4,WS, 6,
     2, 2, 2, 2,WS,WS, 6, 6,
    WS,WS, 2,WS, 6, 6, 6, 6,
     5, 5,WS, 6, 6, 6, 6, 6
  };
  // clang-format on

  test_class t(a, b, 8, 8, SE_CROSS);

  RUN_AND_RET;
}
