/*
 * Copyright 2017, Theodore Chabardes
 * <theodore.chabardes@mines-paristech.fr>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 */

#include "test_class.hpp"

int main(void) {

  // clang-format off
  unsigned char a[49] = {
    61,  64,  78,  80,  87, 91, 87,
    85,  85,  82,  85,  87, 87, 82,
    116, 116,  89,  89,  91, 91, 89,
    116, 116, 113,  95,  92, 92, 92,
    109, 113, 107,  95,  95, 96,111,
    89,  99,  99,  93,  93, 96,104,
    83,  89,  98,  92,  90, 87, 72
  };

  unsigned char b[49] = {
    1,  1,  1,  1,  1, WS,  2,
    1,  1,  1,  1,  1,  2,  2,
    1,  1,  1,  1,  1,  2,  2,
    3, WS, WS,  1,  1,  2,  2,
    3, WS,  4,  4, WS,  2, WS,
    3,  3,  4,  4,  4,  4,  4,
    3,  3, WS,  4,  4,  4,  4
  };
  // clang-format on

  test_class t(a, b, 7, 7, SE_CROSS);

  RUN_AND_RET;
}
