/*
 * Copyright 2017, Theodore Chabardes
 * <theodore.chabardes@mines-paristech.fr>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 */

#include "test_class.hpp"

int main(void) {

  // clang-format off
  unsigned char a[49] = {
    50, 34, 40, 53, 60, 70, 70,
    50, 34, 39, 46, 53, 60, 61,
    50, 28, 39, 40, 46, 53, 60,
    50, 34, 39, 40, 42, 47, 53,
    26, 28, 39, 39, 40, 44, 46,
    26, 28, 39, 39, 39, 40, 43,
    27, 42, 40, 39, 35, 39, 42
  };

  unsigned char b[49] = {
    1,  1,  1,  1,  1,  1,  1,
    1,  1,  1,  1,  1,  1,  1,
    1,  1,  1,  1,  1,  1, WS,
    2, WS,  1, WS,  1, WS,  3,
    2,  2,  2,  2, WS,  3,  3,
    2,  2,  2, WS,  3,  3,  3,
    2,  2, WS,  3,  3,  3,  3
  };
  // clang-format on

  test_class t(a, b, 7, 7, SE_CROSS);

  RUN_AND_RET;
}
