/*
 * Copyright 2017, Theodore Chabardes
 * <theodore.chabardes@mines-paristech.fr>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 */

#include "test_class.hpp"

int main(void) {

  // clang-format off
  unsigned char a[66] = {
    13,  18,  21,  20,  23,  25,
    13,  18,  23,  20,  25,  25,
    14,  18,  23,  22,  25,  23,
    12,  19,  23,  24,  25,  23,
    11,  17,  23,  24,  26,  23,
    12,  17,  24,  24,  26,  22,
    12,  18,  22,  24,  26,  23,
    12,  19,  23,  24,  25,  23,
    12,  19,  23,  24,  26,  22,
    11,  17,  23,  24,  26,  22,
    11,  17,  22,  25,  27,  22
  };

  unsigned char b[66] = {
    1, 1,WS, 2, 2, 2,
    1, 1,WS, 2, 2, 4,
   WS, 1,WS, 2,WS, 4,
    3,WS, 3,WS, 4, 4,
    3, 3, 3, 3,WS, 4,
    3, 3, 3, 3,WS, 4,
    3, 3, 3, 3,WS, 4,
    6,WS, 3, 3,WS, 5,
    6, 6, 6, 6,WS, 5,
    6, 6, 6, 6,WS, 5,
    6, 6, 6, 6,WS, 5
  };
  // clang-format on

  test_class t(a, b, 6, 11, SE_CROSS);

  RUN_AND_RET;
}
