/*
 * Copyright 2017, Theodore Chabardes
 * <theodore.chabardes@mines-paristech.fr>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 */

#include "test_class.hpp"

int main(void) {

  // clang-format off
  unsigned char a[64] = {
    143, 144, 146, 137, 143, 155, 138, 129,
    160, 142, 126, 126, 152, 154, 126, 121,
    144, 120, 128, 149, 145, 138, 133, 143,
    119, 109, 143, 148, 140, 134, 148, 165,
    120, 125, 124, 127, 115, 143, 153, 153,
    124, 118, 112, 106, 140, 157, 143, 118,
    127, 110, 102, 126, 140, 135, 129, 116,
    120, 105, 121, 130, 132, 121, 125, 116
  };

  unsigned char b[64] = {
    1,  1, WS,  2,  2, WS,  3,  3,
   WS, WS,  2,  2,  2, WS,  3,  3,
    4,  4, WS, WS,  2, WS,  3,  3,
    4,  4,  4,  4, WS,  5, WS, WS,
    4,  4,  4, WS,  6, WS,  9,  9,
    4,  4, WS,  7, WS,  9,  9,  9,
   WS, WS,  8, WS, 11, WS,  9,  9,
    10, 10,WS, 11, 11, 11, WS,  9
  };
  // clang-format on

  test_class t(a, b, 8, 8, SE_CROSS);

  RUN_AND_RET;
}
