/*
 * Copyright 2017, Theodore Chabardes
 * <theodore.chabardes@mines-paristech.fr>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 */

#include "test_class.hpp"

int main(void) {

  // clang-format off
  unsigned char a[64] = {
    111, 118, 124, 139, 130, 135, 126, 127,
    116, 119, 129, 140, 127, 130, 128, 131,
    119, 120, 126, 134, 129, 130, 124, 133,
    119, 124, 125, 127, 129, 128, 123, 128,
    104, 108, 126, 128, 129, 129, 126, 127,
     90, 102, 126, 130, 130, 128, 123, 128,
     83,  93, 124, 132, 135, 131, 126, 128,
     82,  92, 116, 127, 131, 130, 127, 129
  };

  unsigned char b[64] = {
    1, 1, 1,WS, 3,WS, 2, 2,
    1, 1, 1,WS, 3, 3,WS, 2,
    1, 1, 1,WS, 3,WS, 4,WS,
    6,WS,WS, 6,WS, 4, 4, 4,
    6, 6, 6, 6, 6,WS,WS,WS,
    6, 6, 6, 6,WS, 5, 5, 5,
    6, 6, 6, 6,WS, 5, 5, 5,
    6, 6, 6, 6,WS, 5, 5, 5
  };
  // clang-format on

  test_class t(a, b, 8, 8, SE_CROSS);

  RUN_AND_RET;
}
