/*
 * Copyright 2017, Theodore Chabardes
 * <theodore.chabardes@mines-paristech.fr>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 */

#include "test_class.hpp"

int main(void) {

  // clang-format off
  unsigned char a[100] = {
    1,   1,   2,   3,   6,  12,  18,  15,   9,  12,
    1,   1,   2,   3,   5,  13,  18,  14,   9,  12,
    1,   1,   2,   3,   6,  12,  17,  13,   9,  12,
    1,   1,   1,   2,   6,  14,  19,  13,  10,  11,
    0,   1,   1,   2,   6,  16,  18,  14,  10,  10,
    1,   1,   2,   3,   5,  16,  18,  12,   8,   9,
    2,   2,   3,   4,   6,  16,  18,  12,   9,   9,
    1,   2,   3,   5,   6,  13,  18,  12,  10,  10,
    2,   3,   3,   4,   6,  11,  16,  11,  10,  10,
    1,   2,   3,   4,   5,  10,  15,  12,  10,  10,
  };

  unsigned char b[100] = {
    2,  2,  2,  2,  2,  2, WS,  1,  1,  1, 
    2,  2,  2,  2,  2,  2, WS,  1,  1,  1,
    2,  2,  2,  2,  2,  2, WS,  1,  1,  1,
    2,  2,  2,  2,  2,  2, WS,  1,  1, WS,
    2,  2,  2,  2,  2,  2,  2, WS,  3,  3,
    2,  2,  2,  2,  2,  2, WS,  3,  3,  3,
   WS,  2,  2,  2,  2,  2, WS,  3,  3,  3,
    4,  4,  4, WS,  2, WS,  3,  3,  3,  3,
   WS, WS, WS,  5,  5,  5, WS,  3,  3,  3,
    5,  5,  5,  5,  5,  5, WS,  3,  3,  3
  };
  // clang-format on

  test_class t(a, b, 10, 10, SE_CROSS);

  RUN_AND_RET;
}
