/*
 * Copyright 2017, Theodore Chabardes
 * <theodore.chabardes@mines-paristech.fr>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 */

#include "test_class.hpp"

int main(void) {

  // clang-format off
  unsigned char a[20] = {
    8, 7, 5, 3,
    3, 4, 4, 4,
    2, 4, 4, 4,
    1, 4, 4, 4,
    2, 3, 5, 7
  };

  unsigned char b[20] = {
    2,WS, 1, 1,
    2, 2,WS, 1,
    2, 2, 2, 1,
    2, 2, 2,WS,
    2, 2, 2, 2
  };
  // clang-format on

  test_class t(a, b, 4, 5, SE_CROSS);

  RUN_AND_RET;
}
